## librcps 0.3

=== examples/rcps-plot/Makefile ===
FLEXML=flexml
FLEX=flex
CC=gcc
CFLAGS=-Wall -g
CINCFLAGS=-I../../src
LDFLAGS=-ll -L../../src/.libs/ -static -lrcps
TARGET?=rcps-plot

SOURCES=$(shell ls *.c)
OBJECTS=$(subst .c,.o,$(SOURCES))

all: $(TARGET)

$(TARGET): $(OBJECTS) rcp.o parser.o
	$(CC) -o $@ $^ $(LDFLAGS)

parser.c: rcp.l
rcp.l: rcp.dtd parser.xml
	$(FLEXML) -a parser.xml $<

rcp.dtd: ../rcp.dtd
	cp ../rcp.dtd .

rcp.c: rcp.l
	$(FLEX) -o $@ $< 

%.o: %.c
	$(CC) $(CFLAGS) $(CINCFLAGS) -c $<

.PHONY: clean
clean:
	rm -f *.o
	rm -f rcp.l rcp.h parser.c rcp.c rcp.dtd
	rm -f $(TARGET)

parser.o: parser.c

=== examples/xrcps/Makefile ===
FLEXML=flexml
FLEX=flex
CC=gcc
CFLAGS=-Wall -g
CINCFLAGS=-I../../src -I../..
LDFLAGS=-ll -L../../src/.libs/ -static -lrcps -lpthread
TARGET?=xrcps

SOURCES=$(shell ls *.c)
OBJECTS=$(subst .c,.o,$(SOURCES))

all: $(TARGET)

$(TARGET): $(OBJECTS) rcp.o parser.o
	$(CC) -o $@ $^ $(LDFLAGS)

parser.c: rcp.l
rcp.l: rcp.dtd parser.xml
	$(FLEXML) -a parser.xml $<

rcp.dtd: ../rcp.dtd
	cp ../rcp.dtd .

rcp.c: rcp.l
	$(FLEX) -o $@ $< 

%.o: %.c
	$(CC) $(CFLAGS) $(CINCFLAGS) -c $<

.PHONY: clean
clean:
	rm -f *.o
	rm -f rcp.l rcp.h parser.c rcp.c rcp.dtd
	rm -f $(TARGET)

parser.o: parser.c

=== debian/changelog ===
librcps (0.3-0ubuntu3) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el and update
    config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 05 Mar 2014 19:40:40 -0500

librcps (0.3-0ubuntu2) maverick; urgency=low

  * Add symbols file for librcps0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jun 2010 13:25:40 +0100

librcps (0.3-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 May 2010 14:47:13 +0100

librcps (0.2-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 May 2010 10:19:30 +0000

=== debian/control ===
Source: librcps
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, texlive-latex-base
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.librcps.org/

Package: librcps-dev
Section: libdevel
Architecture: any
Depends: librcps0 (= ${binary:Version})
Description: development files for resource constrained project scheduling library
 LibRCPS aims to be a versatile, powerful and fast open source library
 for resource constrained project scheduling.

Package: librcps0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: resource constrained project scheduling library
 LibRCPS aims to be a versatile, powerful and fast open source library
 for resource constrained project scheduling.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with autoreconf

override_dh_auto_test:
	true
